[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCustomTaskDialog.Buttons

Collection with the buttons for the Task dialog.

## Declaration

Source position: dialogs.pp line 802

`public property TCustomTaskDialog.Buttons : TTaskDialogButtons read FButtons write SetButtons;`

## Description

Buttons is a TTaskDialogButtons property with the collection that contains the buttons for the Task dialog. Values in Buttons and CommonButtons are used in the DoExecute method to define the button identifiers and modal result values available in the LCLTaskDialog wrapper.